/*	main.c
 *
 *		This parses my internal language for specifying how views
 *	are constructed
 */

#ifdef macintosh
#include <console.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include "viewformat.h"

/************************************************************************/
/*																		*/
/*	Globals																*/
/*																		*/
/************************************************************************/

int		GFileFormat;

/************************************************************************/
/*																		*/
/*	Main entry point													*/
/*																		*/
/************************************************************************/

int main(int argc, char **argv)
{
	int i;
	
#ifdef macintosh
	argc = ccommand(&argv);
#endif

	if (argc != 2) {
		printf("Usage:  compilevres <file>\n");
		return -1;
	}
	
	printf("Parsing '%s' [macintosh]\n",argv[1]);
	GFileFormat = 0;
	ParseFile(argv[1]);
	
	printf("Parsing '%s' [windows]\n",argv[1]);
	GFileFormat = 1;
	ParseFile(argv[1]);
	
	printf("Done.\n");
	return 0;
}
