/*	test.v
 *
 *		This is a test
 */

define "view" {
	integer;			/* viewID */
	integer;			/* viewRefNum */
	bool;				/* lock left */
	bool;				/* lock top */
	bool;				/* lock top */
	bool;				/* lock bottom */
	integer;			/* left */
	integer;			/* top */
	integer;			/* right */
	integer;			/* bottom */
	bool;				/* visible */
	bool;				/* enabled */
	bool;				/* tab stop */
};

define "wind" {
	integer;			/* window type */
	integer;			/* window id */
	bool;				/* visible */
	integer;			/* left */
	integer;			/* top */
	integer;			/* right */
	integer;			/* bottom */
	
	integer;			/* minx */
	integer;			/* miny */
	integer;			/* maxx */
	integer;			/* maxy */
	integer;			/* initx */
	integer;			/* inity */
	integer;			/* zoomx */
	integer;			/* zoomy */
	
	string;				/* window name */
};

define "dlog" {
	class "wind";
};

define "fred" {
	class "view";
};

define "barn" {
	class "view";
};


create "test" view "wind" {
	0, 0,
	true,
	-1,-1,-1,-1,
	-1,-1,
	-1,-1,
	-1,-1,
	-1,-1,
	"Test window"
	
	view "view" {
		100, 0,
		true, true, true, false,
		0, 0, 0, 20,
		true, true, false
		
		view "fred" {
			102, 0,
			true, true, false, false,
			5, 2, 45, 18,
			true, true, false
		}
		
		view "barn" {
			103, 0,
			true, true, false, false,
			50, 2, 90, 18,
			true, true, false
		}
	}
	view "view" {
		101, 0,
		true, true, true, true,
		0, 20, 0, 0,
		true, true, false
		
		view "view" {
			104, 0,
			true, false, true, true,
			-1, -15, -14, 1,
			true, true, false
		}
	}
};

create "test2" view "wind" {
	0, 0,
	true,
	-1,-1,-1,-1,
	-1,-1,
	-1,-1,
	-1,-1,
	-1,-1,
	"Test window 2"
};

create "test3" view "dlog" {
	2, 0,			// moveable modal
	true,
	80,100,280,200,
	-1,-1,
	-1,-1,
	-1,-1,
	-1,-1,
	"dialog"
};
