/*	XGRecieve.cpp
 *
 *		This is the implementation of the receiver end of the send/receive
 *	pair.
 */

/*  YAAF - Yet another application framework
 *  Copyright (C) 1997 William Edward Woody and In Phase Consulting
 *  
 *  This library is free software; you can redistribute it
 *  and/or modify it under the terms of the GNU Library
 *  General Public License as published by the Free Software
 *  Foundation; either version 2 of the License, or any
 *  later version.
 *  
 *  This library is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied
 *  warranty of MERCHANTABIILITY or FITNESS FOR A PARTICULAR
 *  PURPOSE. See the GNU Library General Public License for
 *  more details.
 *  
 *  You should have received a copy of the GNU Library General
 *  Public License along with this library; if not, write to the
 *  Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *  Boston, MA 02111-1307, USA.
 *  
 *  To contact the author, either e-mail me at
 *  woody@alumni.caltech.edu, or write to us at
 *  
 *          William Edward Woody
 *          In Phase Consulting
 *          1545 Ard Eevin Avenue
 *          Glendale, CA 91202
 */

#include <XEvent.h>

/************************************************************************/
/*																		*/
/*	Constructor/Destructor												*/
/*																		*/
/************************************************************************/

/*	XGReceive::XGReceive
 *
 *		Construct me. Don't do much
 */

XGReceive::XGReceive()
{
}

/*	XGReceive::~XGReceive
 *
 *		This destructs me in an interesting way
 */

XGReceive::~XGReceive()
{
	if (fSend.Length()) {
		fSend[0]->RemoveReceiver(this);
	}
}

/************************************************************************/
/*																		*/
/*	Receive message default: do nothing									*/
/*																		*/
/************************************************************************/

/*	XGReceive::ReceiveMessage
 *
 *		Don't do squat
 */

void XGReceive::ReceiveMessage(long, long, void *)
{
}
